
import React from 'react';
import Icon from 'react-icon-base';

const SlCup = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M832.56 544.208c-8.33594 0 -35.2021 0.160156 -64.3057 0.368164l0.112305 63.9678c0 35.3438 -28.6562 64 -64 64l-640.496 0.160156c-35.3438 0 -64 -28.6562 -64 -64v-480.944c0 -106.032 85.9678 -192 192 -192h384.656c106.032 0 191.008 85.9678 191.008 192 l0.0644531 32.8477c29.0244 -0.223633 58.6084 -0.399414 64.9766 -0.399414c105.776 0 191.568 85.04 191.568 191.072c-0.015625 106.048 -85.8076 192.928 -191.584 192.928zM703.533 127.76c0 -70.5918 -56.3994 -128 -127.008 -128h-384.656 c-70.5918 0 -128 57.4082 -128 128l-0.0957031 480.944l640.592 -0.192383zM832.559 223.279c-6.35156 0 -35.8877 0.191406 -64.8633 0.399414l0.448242 256.816c29.1201 -0.208008 56.0479 -0.368164 64.3994 -0.368164c73.1201 0 128.624 -54.5439 128.624 -127.84 s-55.4883 -129.008 -128.608 -129.008zM575.87 736.238c17.6641 0 32 14.3359 32 32v160c0 17.6641 -14.3359 32 -32 32s-32 -14.3359 -32 -32v-160c0 -17.6797 14.3359 -32 32 -32zM191.87 736.238c17.6641 0 32 14.3359 32 32v160c0 17.6641 -14.3359 32 -32 32 s-32 -14.3359 -32 -32v-160c0 -17.6797 14.3359 -32 32 -32zM383.87 736.238c17.6641 0 32 14.3359 32 32v160c0 17.6641 -14.3359 32 -32 32s-32 -14.3359 -32 -32v-160c0 -17.6797 14.3359 -32 32 -32z"/></g>
    </Icon>
);

export default SlCup;
